## org.eclipse.emf.ecore.xml.type.internal
Class DataValue.EncodingMap

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.DataValue.EncodingMap

Enclosing class:
  DataValue

    public static class DataValue.EncodingMap

extends java.lang.Object

Field Summary
`protected static java.util.Hashtable<java.lang.String,java.lang.String>` `fIANA2JavaMap` fIANA2JavaMap
`protected static java.util.Hashtable<java.lang.String,java.lang.String>` `fJava2IANAMap` fJava2IANAMap

Constructor Summary
`DataValue.EncodingMap()` Default constructor.

Method Summary
`static java.lang.String` `getIANA2JavaMapping(java.lang.String ianaEncoding)` Returns the Java encoding name for the specified IANA encoding name.
`static java.lang.String` `getJava2IANAMapping(java.lang.String javaEncoding)` Returns the IANA encoding name for the specified Java encoding name.
`static void` `putIANA2JavaMapping(java.lang.String ianaEncoding, java.lang.String javaEncoding)` Adds an IANA to Java encoding name mapping.
`static void` `putJava2IANAMapping(java.lang.String javaEncoding, java.lang.String ianaEncoding)` Adds a Java to IANA encoding name mapping.
`static java.lang.String` `removeIANA2JavaMapping(java.lang.String ianaEncoding)` Removes an IANA to Java encoding name mapping.
`static java.lang.String` `removeJava2IANAMapping(java.lang.String javaEncoding)` Removes a Java to IANA encoding name mapping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fIANA2JavaMap

    protected static final java.util.Hashtable<java.lang.String,java.lang.String> fIANA2JavaMap

  fIANA2JavaMap

### fJava2IANAMap

    protected static final java.util.Hashtable<java.lang.String,java.lang.String> fJava2IANAMap

  fJava2IANAMap

Constructor Detail

### DataValue.EncodingMap

    public DataValue.EncodingMap()

  Default constructor.

Method Detail

### putIANA2JavaMapping

    public static void putIANA2JavaMapping(java.lang.String ianaEncoding,
                                           java.lang.String javaEncoding)

  Adds an IANA to Java encoding name mapping.

  Parameters:
    `ianaEncoding` - The IANA encoding name.
    `javaEncoding` - The Java encoding name.

### getIANA2JavaMapping

    public static java.lang.String getIANA2JavaMapping(java.lang.String ianaEncoding)

  Returns the Java encoding name for the specified IANA encoding name.

  Parameters:
    `ianaEncoding` - The IANA encoding name.

### removeIANA2JavaMapping

    public static java.lang.String removeIANA2JavaMapping(java.lang.String ianaEncoding)

  Removes an IANA to Java encoding name mapping.

  Parameters:
    `ianaEncoding` - The IANA encoding name.

### putJava2IANAMapping

    public static void putJava2IANAMapping(java.lang.String javaEncoding,
                                           java.lang.String ianaEncoding)

  Adds a Java to IANA encoding name mapping.

  Parameters:
    `javaEncoding` - The Java encoding name.
    `ianaEncoding` - The IANA encoding name.

### getJava2IANAMapping

    public static java.lang.String getJava2IANAMapping(java.lang.String javaEncoding)

  Returns the IANA encoding name for the specified Java encoding name.

  Parameters:
    `javaEncoding` - The Java encoding name.

### removeJava2IANAMapping

    public static java.lang.String removeJava2IANAMapping(java.lang.String javaEncoding)

  Removes a Java to IANA encoding name mapping.

  Parameters:
    `javaEncoding` - The Java encoding name.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.